# maptiler





```yaml
version: "2"
services:
  tileserver:
    restart: always
    image: maptiler/tileserver-gl
    container_name: maptiler
    privileged: false
    ports:
      - 8580:8080
    volumes:
      - /volume1/docker/dockge/stacks/maptiler/data/map:/data
    command:
      - --verbose
      - --mbtiles
      - maptiler-osm-2020-02-10-v3.11-europe.mbtiles
networks:
  default:
    driver: bridge
    ipam:
      config:
        - subnet: 172.16.77.0/24

```



https://tileserver.readthedocs.io/en/latest/index.html

https://blog.tmlmt.com/create-style-and-render-self-hosted-vector-maps/

https://download.geofabrik.de



```
command: ["-p", "80", "-c", "/data/config.json"]

docker run --rm -it -v $(pwd):/data -p 8188:8080 maptiler/tileserver-gl:v3.1.1 -c config.json --verbose

```

```
version: '3.4'
services:
openmaptiles:
 image: klokantech/tileserver-gl
    ports:
- 8080:80
volumes:
- "./data:/data"
command: "--verbose -c config.json" 


```



## Reloading the configuration

It is possible to reload the configuration file without restarting the whole process by sending a SIGHUP signal to the node process.

- The docker kill -s HUP tileserver-gl command can be used when running the tileserver-gl docker container.
- The docker-compose kill -s HUP tileserver-gl-service-name can be used when tileserver-gl is run as a docker-compose service.